Debian Bug report logs - #573876
O: xpp -- X Printing Panel

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Henrique de Moraes Holschuh <hmh@debian.org>

Date: Sun, 14 Mar 2010 16:39:05 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#573876; Package wnpp. (Sun, 14 Mar 2010 16:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 14 Mar 2010 16:39:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: xpp -- X Printing Panel
Date: Sun, 14 Mar 2010 13:36:12 -0300
Package: wnpp
Severity: normal

I request an adopter for the xpp package.  It needs a lot more love than
I have been giving it lately.  As things stand, if nobody adopts it, I
will have to request its removal before squeeze is released.

The package description is:
 Graphical substitute for the lp/lpr command.  With xpp, you can control
 every printing option known to the CUPS print system (the cupsys package).
 Best results are available with usage of the appropriate PPD file for your
 printer.  Each user can save their own customized printing preferences.
 .
  Homepage: http://cups.sourceforge.net/xpp/

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh




Changed Bug title to 'ITA: xpp -- X Printing Panel' from 'RFA: xpp -- X Printing Panel' Request was from "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com> to control@bugs.debian.org. (Sun, 02 Oct 2011 00:57:03 GMT) Full text and rfc822 format available.

Owner recorded as "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>:
Bug#573876; Package wnpp. (Wed, 03 Oct 2012 05:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 573876@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>. (Wed, 03 Oct 2012 05:30:04 GMT) Full text and rfc822 format available.

Message #14 received at 573876@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>
Cc: 573876@bugs.debian.org
Subject: ITA: xpp -- X Printing Panel
Date: Wed, 3 Oct 2012 05:26:47 +0000
Hi Franklin,

I see that you registered your "intent to adopt" for xpp in October 2011, but I
see no progress since then.  Are you still working on this ?

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573876
http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=xpp

Regards,

Bart Martens



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#573876; Package wnpp. (Wed, 03 Oct 2012 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 03 Oct 2012 17:45:05 GMT) Full text and rfc822 format available.

Message #19 received at 573876@bugs.debian.org (full text, mbox):

From: "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>
To: 573876@bugs.debian.org
Subject: Re: Bug#573876: ITA: xpp -- X Printing Panel
Date: Wed, 3 Oct 2012 13:13:16 -0430
[Message part 1 (text/plain, inline)]
Hi Bart,

Yes i am interested in this package but i don't know how to begin, i need
some guide (more clear) about pdbuilder on squeeze for build packages on
SID environment.

For the moment i am only translating and improving some article from the
wiki to spanish and stuff like that.

I really want to collaborate more in Debian.


Regards,

Franklin García Mendoza

On Wed, Oct 3, 2012 at 12:56 AM, Bart Martens <bartm@debian.org> wrote:

> Hi Franklin,
>
> I see that you registered your "intent to adopt" for xpp in October 2011,
> but I
> see no progress since then.  Are you still working on this ?
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=573876
> http://bugs.debian.org/cgi-bin/pkgreport.cgi?src=xpp
>
> Regards,
>
> Bart Martens
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>:
Bug#573876; Package wnpp. (Tue, 11 Dec 2012 01:03:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>. (Tue, 11 Dec 2012 01:03:21 GMT) Full text and rfc822 format available.

Message #24 received at 573876@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 573876@bugs.debian.org
Cc: control@bugs.debian.org
Subject: xpp: changing back from ITA to O
Date: Tue, 11 Dec 2012 01:00:32 +0000
retitle 573876 O: xpp -- X Printing Panel
noowner 573876
tag 573876 - pending
thanks

Hi,

This is an automatic email to change the status of xpp back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting xpp, please send a mail to
<control@bugs.debian.org> with:

 retitle 573876 ITA: xpp -- X Printing Panel
 owner 573876 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <573876@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Frank, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: xpp -- X Printing Panel' from 'ITA: xpp -- X Printing Panel' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:46 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Franklin G. Mendoza" <franklin.g.mendoza@gmail.com>. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:46 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#573876; Package wnpp. (Mon, 30 Dec 2013 01:42:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Dec 2013 01:42:05 GMT) Full text and rfc822 format available.

Message #33 received at 573876@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: 573876@bugs.debian.org
Cc: debian-user@lists.debian.org
Subject: Re: UTF-8 bugs (was: Deadline for jessie init system choice)
Date: Sun, 29 Dec 2013 23:39:41 -0200
On Sun, 29 Dec 2013, Vincent Lefevre wrote:
> * xpp does not support UTF-8
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=630717

I've orphaned xpp in 2010, and that's after it was as good as dead upstream
since 2005 with no releases.  The last time anyone touched the code upstream
was in 2008.

IMHO, we should just remove it from Debian.  It was damn useful when it was
current with CUPS and its toolkit, but it has accumulated too much bitrot
already over 10 years of being abandoned upstream.

It is sad.  xpp really deserves better than lingering on in its currentlly
half-broken, unloved state.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#573876; Package wnpp. (Mon, 30 Dec 2013 17:24:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 30 Dec 2013 17:24:15 GMT) Full text and rfc822 format available.

Message #38 received at 573876@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 573876@bugs.debian.org, debian-user@lists.debian.org
Subject: Re: UTF-8 bugs (was: Deadline for jessie init system choice)
Date: Mon, 30 Dec 2013 18:20:59 +0100
On 2013-12-29 23:39:41 -0200, Henrique de Moraes Holschuh wrote:
> I've orphaned xpp in 2010, and that's after it was as good as dead upstream
> since 2005 with no releases.  The last time anyone touched the code upstream
> was in 2008.
> 
> IMHO, we should just remove it from Debian.  It was damn useful when it was
> current with CUPS and its toolkit, but it has accumulated too much bitrot
> already over 10 years of being abandoned upstream.
> 
> It is sad.  xpp really deserves better than lingering on in its currentlly
> half-broken, unloved state.

It seems that gtklp might be used as a replacement, but it was broken
too... 7 years ago, and may still be:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=392184

I haven't tried since.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:46:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.